LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY EV2 IS
	PORT
	(
		B_IOWN			: IN	STD_LOGIC;
		EV_ADD			: IN	STD_LOGIC;
		B_RESET			: IN	STD_LOGIC;
		B_CLK			: IN	STD_LOGIC;
		DATA			: IN	STD_LOGIC;
		EV_OUT			: OUT 	STD_LOGIC
	);
END EV2;

ARCHITECTURE RTL OF EV2 IS
BEGIN
	PROCESS (B_CLK,B_RESET) begin
		if(B_RESET='1')then
				EV_OUT <= '0';
		elsif(B_CLK'event and B_CLK='1')then
			if(B_IOWN='0' and EV_ADD='1')then
				IF(DATA = '1')THEN
					EV_OUT <= '1';
				ELSIF(DATA = '0')THEN
					EV_OUT <= '0';
				END IF;
			ELSE
			end if;
		end if;
	END PROCESS;

END RTL;


