LIBRARY ieee;
USE ieee.std_logic_1164.all;
use IEEE.std_logic_arith.all;

ENTITY irs_counter2 IS
	PORT
	(
		CLK				: IN	STD_LOGIC;
		A 				: out	STD_LOGIC
	);
END irs_counter2;

ARCHITECTURE RTL OF irs_counter2 IS
	SIGNAL Q	: integer range 0 to 1126;

BEGIN	
	
	PROCESS(CLK)
	BEGIN
		if(CLK'EVENT AND CLK = '1') then
			IF(Q = 1126)THEN
 				Q <= 0;
				A <= '1';
			ELSE
				Q <= Q + 1;
				A <= '0';
			END IF;
		END IF;
	end process;
end RTL;

