LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY selecter2 IS
	PORT
	(
		IORN		: IN	STD_LOGIC;
		RE_ADD		: IN	STD_LOGIC;
		RE_DATA		: IN	STD_LOGIC_VECTOR(15 downto 0);
		PTW_ADD		: IN	STD_LOGIC;
		PTW_DATA	: IN	STD_LOGIC_VECTOR(15 downto 0);
		IRS_ADD		: IN	STD_LOGIC;
		IRS_DATA	: IN	STD_LOGIC_VECTOR(15 downto 0);
		DATA_OUT	: OUT 	STD_LOGIC_VECTOR(15 downto 0)
	);
END selecter2;

ARCHITECTURE RTL OF selecter2 IS
BEGIN
	PROCESS (IORN
			,RE_ADD,RE_DATA
			,PTW_ADD,PTW_DATA
			,IRS_ADD,IRS_DATA)
	BEGIN

			if(RE_ADD = '1'  and IORN='0')then
				DATA_OUT <= RE_DATA;
			elsif(PTW_ADD = '1'  and IORN='0')then
				DATA_OUT <= PTW_DATA;
			elsif(IRS_ADD = '1' and IORN='0')then
				DATA_OUT <= IRS_DATA;
			else
				DATA_OUT <= "0000000000000000";

 		END IF;
	END PROCESS;	
END RTL;

